[@rxap/tree](../wiki/globals) / SearchForm

# Class: SearchForm\<Scope\>

Defined in: [tree/src/lib/search.form.ts:30](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/search.form.ts#L30)

## Type Parameters

• **Scope** = `unknown`

## Implements

- `FormType`\<[`ISearchForm`](../wiki/Interface.ISearchForm)\<`Scope`\>\>

## Constructors

### new SearchForm()

> **new SearchForm**\<`Scope`\>(): [`SearchForm`](../wiki/Class.SearchForm)\<`Scope`\>

#### Returns

[`SearchForm`](../wiki/Class.SearchForm)\<`Scope`\>

## Properties

### rxapFormGroup

> **rxapFormGroup**: `RxapFormGroup`\<[`ISearchForm`](../wiki/Interface.ISearchForm)\<`Scope`\>\>

Defined in: [tree/src/lib/search.form.ts:32](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/search.form.ts#L32)

#### Implementation of

`FormType.rxapFormGroup`

***

### scope

> **scope**: `RxapFormControl`\<`Record`\<`string`, `Scope`[]\>\>

Defined in: [tree/src/lib/search.form.ts:38](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/search.form.ts#L38)

#### Implementation of

`FormType.scope`

***

### search

> **search**: `RxapFormControl`\<`string`\>

Defined in: [tree/src/lib/search.form.ts:35](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/search.form.ts#L35)

#### Implementation of

`FormType.search`
